
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Lua与C++相互调用 / 憋错料</title>

    <meta name="description" content="Lua与C++相互调用 {--1.环境--} 为了快速入手,使用了小巧快速的vc++6.0编译器 以及在官网下载了Lua安装包..官网地址{--http://10.21.210.18/seeyon/index.jsp--} 两者都安装好后,即可进行 {--2.工程以及配置--} 1.首先用vc++6.0创建一个简单的win32 console application 2.从Lua的安装目录下复制include和lib两个目录下的文件到刚刚创建的工程的目录下. {include:包含了lua的.h头文件} {lib:包含">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">Lua与C++相互调用</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>{--1、环境--}</p>
<p>为了快速入手，使用了小巧快速的vc++6.0编译器</p>
<p>以及在官网下载了Lua安装包..官网地址{--http://10.21.210.18/seeyon/index.jsp--}</p>
<p>两者都安装好后，即可进行</p>
<p>{--2、工程以及配置--}</p>
<p>1、首先用vc++6.0创建一个简单的win32 console application</p>
<p>2、从Lua的安装目录下复制include和lib两个目录下的文件到刚刚创建的工程的目录下。</p>
<p>　　{include：包含了lua的.h头文件}</p>
<p>　　{lib：包含了lua的动态链接库dll}</p>
<p>3、为了使vc++6.0编译和链接时能找到所需的Lua文件</p>
<p>　　{在工程下添加刚刚复制过来的所有.h文件，保证编译通过}</p>
<p>　　 {在编译器里面设置dll{工程-设置-对象/库模块 那一行的最后添加 lua5.1.lib lua51.lib，保证链接时通过}}</p>
<p>{--3、C++与Lua相互调用例子--}</p>
<p>要调用Lua，首先我们得写一个简单的Lua文件，并把该文件保存到一个路径下，这里比如路径是{F:\\Lua}</p>
<pre>function add(x, y)
    n1, n2 = clib();//关于clib()是一个C函数，稍后会介绍到。
    print("The first arg"..n1);
    print("The second arg"..n2);
    return x + y
end</pre>
<p>该函数用于计算从C函数传递过来的的两个参数x,y的和。</p>
<p>另外为了方便，这函数里面同时也演示了如何调用Lua如何调用C函数clib()</p>
<p>接下来我们开始编写主函数</p>
<pre>#include&lt;stdlib.h&gt;

// 这是个C++程序, 所以要extern "C",
// 因为lua的头文件都是C格式的
extern "C" {
#include "lua.h"
#include "lualib.h"
#include "lauxlib.h"
}

lua_State* L; /* the Lua interpreter */

//给lua调用的c函数必须定义成static int XXX(lua_State *L)
static int clib(lua_State *L)
{
　　lua_pushnumber(L, 100);
　　lua_pushnumber(L, 200);
    return 2;   　　//lua调用该函数将从栈中，取2个结果
}
//此处C++调用了Lua函数
int luaadd (int x, int y)
{
	int sum;
	/* the function name */
	lua_getglobal(L, "add");
	/* the first argument */
	lua_pushnumber(L, x);
	/* the second argument */
	lua_pushnumber(L, y);
	/* call the function with 2 arguments, return 1 result */
	//说明调用的函数是带有2个参数和1个返回值
	lua_call(L, 2, 1);

	/* get the result */
	sum = (int)lua_tonumber(L, -1);
	lua_pop(L, 1);

	return sum;
}

int main(int argc, char* argv[])
{
	int sum;

	/* initialize Lua */
	L = luaL_newstate();//创建一个指向lua解释器的指针
	/* load Lua base libraries */
	luaL_openlibs(L);
	lua_register(L, "clib", clib);
	/* load the script */
	/*Lcc.lua是这个C++程序调用的Lua文件，
	注意luaL_dofile（）函数的第二个参数要写绝对路径，否则执行后会提示
	&ldquo;unprotected error in call to lua api(attampt to call a nil value)&rdquo;错误 */
	luaL_dofile(L, "F:\\lua\\Lcc.lua");

	/* call the add function */
	sum = luaadd(10, 15);

	/* print the result */
	printf( "The sum is %d\n", sum );

	/* cleanup Lua */
	lua_close(L);
	system("pause");
	return 0;
}
</pre>
<p>以上的clib()函数就是Lua文件里面要调用的函数</p>
<p>关键代码：lua_register(L, "clib", clib);将函数注册到Lua栈中，使得Lua可以调用到。</p>
<p>而C++如何调用Lua</p>
<p>关键代码：luaL_dofile()以及luaadd()函数</p>
<p>-------------------------------------------------------------------------------------</p>
<p>　　　　　　　　　　　　　　　　　　　　　　　　　　　　　　　　　　　　By Alwaystiys..</p>
<p>　　　　　　　　　　　　　　　　　　　　　　　　　　　　　　　　　　　　From 2014.09.05</p>
<p>　　　　　　　　　　　　　　　　　　　　　　　　　　　　　　　　　　　　At Gz.</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-20 13:50:20 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/color/" title="color">color</a>, <a href="https://www.biecuoliao.com/tag/style/" title="style">style</a>, <a href="https://www.biecuoliao.com/tag/http/" title="http">http</a>, <a href="https://www.biecuoliao.com/tag/%e4%bd%bf%e7%94%a8/" title="使用">使用</a>, <a href="https://www.biecuoliao.com/tag/blog/" title="blog">blog</a>, <a href="https://www.biecuoliao.com/tag/%e6%96%87%e4%bb%b6/" title="文件">文件</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>Lua与C++相互调用的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4787yoM.html" rel="bookmark">lua编程之lua与C相互调用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				lua是扩展性非常良好的语言,虽然核心非常精简,但是用户可以依靠lua库来实现大部分工作.除此之外,lua还可以通过与C函数相互调用来扩展程序功能.在C中嵌入lua脚本既可以让用户在不重新编译代码的情况下修改lua代码更新程序,也可以给用户提供一个自由定制的接口,这种方法遵循了机制与策略分离的原则.在lua中调用C函数可以提高程序的运行效率.lua与C的相互调用在工程中相当实用,本文就来讲解lua与C相互调用的方法. Lua与C相互调用的首要问题是如何交换数据,lua API使用了一个抽象的栈与			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3OpNGo4.html" rel="bookmark">lua和C&plus;&plus;相互调用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				从lua调用C++函数和对象,利用LuaPlus可以方便的从C++中调用lua脚本,反过也一样.通过注册函数或类对象,lua便可以访问C++. 一.C风格函数注册    Lua提供了C风格的回调函数注册,该函数原型如下: int Callback(LuaState* state); 无论是全局函数.类非虚函数.类虚函数,只要符合上面的原型,都可以向Lua注册.我们以全局函数为例,下面是我们提供的一个回调函数CStyleAddFunc: int CStyleAddFunc(LuaState * s			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0d2Rew4.html" rel="bookmark">Cocos2d-x3&period;0下  Lua与C&plus;&plus;相互调用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这里讲下Lua与C++之间如何实现相互调用 原文连接:http://blog.csdn.net/qqmcy/article/details/26052771 DJLCData.h 实现类 // // DJLCData.h // uitestLua // // Created by 杜甲 on 14-5-17. // // #ifndef __uitestLua__DJLCData__ #define __uitestLua__DJLCData__ #include &quot;cocos2d.h&quot			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3ZalYm0.html" rel="bookmark">菜鸟入门之lua与c&plus;&plus;相互调用&lpar;包含多个demo&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前两篇文章中,已经介绍了使用vs2010编译lua5.1源码生成lua.lib 和 vs项目中使用c++调用lua,可以保证demo在vs上运行起来了.这里再详细介绍下c++和lua之间的相互调用以及原理. c++与lua直接的调用,实际上通过一个栈结构来传递数据,该栈结构栈顶的索引值为-1,向栈底方向索引值依次为-1 ,-2......栈顶索引为1.栈结构里可以放函数,表,字符串,整形等各种lua的基本数据. 一.在当前cpp目录下创建test.lua文件,用于与c++交互调用,代码如下: p			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0xnqwk4.html" rel="bookmark">uLua学习笔记（三）：Unity3D和Lua之间的相互调用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这篇笔记主要集中学习一下uLua和Unity3D之间相互调用的方法,我们导入了uLua之后,现在会弹出一个类似学习屏幕的东西,如下: 先赞一个! Unity3D调用Lua Unity3D调用Lua的方法还是比较简单的,所以先说这个,由于这部分在学习笔记(一)中已经说的挺多的了,更多的内容点击这里回去看,所以这里我们就来看一个简单的示例即可: 1 using LuaInterface; 2 using UnityEngine; 3 4 public class UnityCallLua : Mon			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MP2no63.html" rel="bookmark">C&num;与lua相互调用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Lua是一种很好的扩展性语言,Lua解释器被设计成一个很容易嵌入到宿主程序的库.LuaInterface则用于实现Lua和CLR的混合编程. (一)C#调用Lua 测试环境:在VS2015中建一个C#控制台应用程序,并添加LuaInterface.dll的引用 LuaInterface下载地址:http://luaforge.net/projects/luainterface/ (下载luainterface-1.5.3,这里面的资源比较多) LuaInterface.Lua类是CLR访问Lua			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0xQWnz3.html" rel="bookmark">C程序与Lua脚本相互调用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Lua脚本是一种可用于C程序开发/测试的工具,本篇介绍一下C程序与Lua脚本如何进行相互调用,更加详细的操作参见&lt;Programing in Lua&gt;.本文分为3个部分:1.Windows环境下Lua的下载以及安装注意事项:2.Visual C++6.0中Lua的配置:3.C程序与Lua脚本相互调用实例. 1.Windows环境下Lua的下载以及安装注意事项 a.下载Lua for Windows,笔者用的版本是V5.1.4-35: b.上微软官网,下载Visual C++运行库——vcred			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/35XD5j0.html" rel="bookmark">Lua与C的相互调用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				闲的蛋疼,让C和Lua玩包剪锤.结果C以微弱的优势胜出了. 言归正传,这次主要是想练习Lua和C的相互调用. 一.C调用Lua函数 1. luaL_dofile(L, fn); 该函数可以让Lua虚拟栈读取路径为fn的Lua文件,其实质是: lua_loadfile(L, fn) || lua_pcall(L, 0, Lua_MUTIRET, 0) 实际上,lua_loadfile只是把Lua文件加载到VM,成为一个可执行的对象,但却还没有执行它,所以还不能使用. 而lua_pcall则把该Lu			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0bzNEp0.html" rel="bookmark">Lua学习笔记6：C&plus;&plus;和Lua的相互调用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Lua版本:5.2.3 一 C++ 调用Lua 1 目录结构 CppCallLua { main.cpp script{ test.lua } lualia{ lua.h lualib.h laux.lib.h luaconf.h liblua.a } } 2 代码 //main.cpp #include &lt;iostream&gt; extern &quot;C&quot; { #include &quot;lualib/lua.h&quot; #include &quot;lualib/luali			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/QM6N2rM.html" rel="bookmark" class="title">浅谈递归调用的个人领悟</a>
					<div>
						从大一开始学c,就不是挺理解递归的,最近突然有所体会: 递归调用中递归调用的函数可以把它想象成为一个树的结点,在函数中调用自身就是一个分支,直到出口条件时就是这棵树的叶子结点.叶子的值便是出口返回的值 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/QM62mrM.html" rel="bookmark" class="title">后台运行流程</a>
					<div>
						http://www.cnblogs.com/kaituorensheng/p/3980334.html nohup commod &amp; jobs出现id号 关闭后台的 :  fg %1  到前 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0R8rj54.html" rel="bookmark" class="title">色彩的心里</a>
					<div>
						红色 心里联想:兴奋.热烈.激情.喜庆.高贵.紧张.奋进.辟邪.危险 表示的意义:自由.血.火.胜利 运用效果:刺激.兴奋.强烈煽动效果 橙色 心里联想:愉快.激情.活跃.热情.精神.活泼.甜美 表示 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xRveQ4.html" rel="bookmark" class="title">共享内存 share pool ：BUCKET &sol;FREE LISTS &sol;RESERVED FREE LISTS &sol;UNPINNED RECREATABLE CHUNKS &lpar;lru first&rpar;</a>
					<div>
						相关概念 BUCKET :每个bucket上挂有一个 chunk list.同一个BUCKET中的chunk在物理地址上是不一定相邻的 FREE LISTS:按bucket划分,共有255个,buck ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4Naak63.html" rel="bookmark" class="title">电商网站常用的楼层导航效果</a>
					<div>
						很多电商网站都使用楼层导航效果来布局,如京东,唯品会等大型网站.那楼层导航效果怎么写了,其实很简单,主要用到鼠标滚动事件和高度的应用.现在我们就来用jquery来写以下.代码是直接copy过来的,因为 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0kGAWz0.html" rel="bookmark" class="title">Spec  网上选课</a>
					<div>
						角色定义 管理员 管理员负责向系统中添加学生和教师的个人信息以及课程信息,实现对教师.学生和课程信息的修改.删除.查询操作,并对管理员个人密码进行修改. 学生 学生具有查看待选课程信息和任课教师信息. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0jnXR90.html" rel="bookmark" class="title">Objective-C之成魔之路【11-多态性、动态类型和动态绑定】</a>
					<div>
						郝萌主倾心贡献,尊重作者的劳动成果,请勿转载. 如果文章对您有所帮助,欢迎给作者捐赠,支持郝萌主,捐赠数额随意,重在心意^_^ 我要捐赠: 点击捐赠 Cocos2d-X源码下载:点我传送 多态这个其它 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0kZV6zM.html" rel="bookmark" class="title">Mac 键盘快捷键</a>
					<div>
						要使用键盘快捷键,请按住一个或多个修饰键,同时按快捷键的最后一个键.例如,要使用快捷键 Command-C(拷贝),请按住 Command 键并按 C 键,然后同时松开这两个键.Mac 菜单和键盘通常 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0a11YP0.html" rel="bookmark" class="title">nagios客户端安装监控</a>
					<div>
						1.在客户端机器上安装epel扩展源 yum install -y epel-release2.yum安装nagios及依赖包软件 yum install -y nagios-plugins nagi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rbdVX3.html" rel="bookmark" class="title">算法6-1：哈希函数</a>
					<div>
						在上章节中已经介绍了通过红黑树实现键值对数组的查询操作,复杂度是logN.有没有性能更好的算法呢?答案是有. 基本想法就是计算关键字的哈希值,再通过哈希值直接获取对应的键值. 这种方法的需要解决的问题 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lNvkX4.html" rel="bookmark" class="title">H5页面中删除iPhone自带样式</a>
					<div>
						在手机端H5页面中,iPhone往往会添加自己的样式. 比如:H5日期标签&lt;input type=&quot;date&quot; &gt;,在安卓机型下不会显示特殊样式,但是在iPhone中会 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0kl5yb3.html" rel="bookmark" class="title">大数据：提升你的可执行洞察力</a>
					<div>
						随着社交平台的发展和移动智能终端的普及,大规模爆发的数据不再是躺在数据库里那些静态的图片.文字.音频等文件,已然逐步演变为企业竞争的强有力资源,甚至是企业发展的生命线.IBM几年前就已经讲2B的概念. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/38yNVy4.html" rel="bookmark" class="title">使用&period;net mvc4 &plus; bootstrap &plus;uploadify上传图片功能保持前端css一致性</a>
					<div>
						最近使用阿里云空间做个人网站,使用的是.net mvc4 +botstrap,想做个图片上传的功能,查看了郝老师http://www.cnblogs.com/haogj/archive/2013/04 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MVRAE2M.html" rel="bookmark" class="title">HTTP响应码</a>
					<div>
						1,HTTP响应码 100  --继续 200  --成功 400  --请求参数错误 404  --找不到页面 500  --服务器内部错误 503  --服务不可用 [1]http状态返回代码 1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0K7oQL0.html" rel="bookmark" class="title">【转载】svn代码回滚命令</a>
					<div>
						[说明]转载自 http://www.cnblogs.com/jndream/archive/2012/03/20/2407955.html 取消对代码的修改分为两种情况: 第一种情况:改动没有被提交 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0k2RdXM.html" rel="bookmark" class="title">Outlets与Referencing Outlets</a>
					<div>
						插座变量Outlet IBOutlet只是告诉Xcode某个指针变量指向画出来的某个控件,然后在代码中使用那个指针来操作那个控件. 无需太纠结,不标注outlet,IB就不知道有这么个东西. 插座变量 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MLpRxOM.html" rel="bookmark" class="title">workflow 4&period;0</a>
					<div>
						Workflow 4.0 1.  新建项目,选择.net framework4.5,然后选中C#分支里的workflow,最后选择活动库创建一个workflow项目. 2.  在xaml设计界面拖入一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0YppyyM.html" rel="bookmark" class="title">shell编程&lpar;一&rpar;－－常用变量及表达式</a>
					<div>
						$? 表示执行上一个命令的返回值:如果为0表示执行成功,非0表示执行失败$1.$2.... 分别表示参数1.参数2....$# 表示这个程序的参数个数$*/[email protected] 表示这个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/35n5QE4.html" rel="bookmark" class="title">windows C input 注意</a>
					<div>
						windows控制台输入,默认是以文本模式打开,即使重定向输入,文本模式不变,所以输入时无法读到cr,因为windows已经把crlf转换成单个lf. 如果freopen(&quot;CON&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3qDkeW0.html" rel="bookmark" class="title">PHP implode&lpar;&rpar; 函数</a>
					<div>
						转自:http://www.w3school.com.cn/php/func_string_implode.asp 语法 implode(separator,array) 参数 描述 separato ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.024 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
